Saturday, April 10, 2021

Palo Alto firewall - GlobalProtect Linux 'Reading package lists...Error!'


Please refer to the following installation guide for GlobalProtect Linux.
Download and Install the GlobalProtect App for Linux

  • Symptoms

After you extract the files from the package (PanGPLinux-5.2.5-c46.tgz), you will install the package in Ubuntu or Kali (Debian) Linux with the following command, but you get an error as below.

sudo apt-get install ./GlobalProtect_deb-5.2.5.0-46.deb

analysisman@ubuntu:~$ sudo apt-get install ./GlobalProtect_deb-5.2.5.0-46.deb
Reading package lists... Error!
E: read, still have 59 to read but none left
E: Error reading archive member header
E: Could not read meta data from ./GlobalProtect_deb-5.2.5.0-46.deb
E: The package lists or status file could not be parsed or opened.

  • Resolution

Use the following dpkg command instead of apt-get install.

sudo dpkg -i ./GlobalProtect_deb-5.2.5.0-46.deb

analysisman@ubuntu:~$ sudo dpkg -i ./GlobalProtect_deb-5.2.5.0-46.deb
Selecting previously unselected package globalprotect.
(Reading database ... 104475 files and directories currently installed.)
Preparing to unpack .../GlobalProtect_deb-5.2.5.0-46.deb ...
Start installing gp...
Unpacking globalprotect (5.2.5-46) ...
Setting up globalprotect (5.2.5-46) ...
Enable gp service...
Starting gp service...
enable ping
net.ipv4.ping_group_range = 0 0
Create symlink for gp cli...
Starting gpa...
Processing triggers for man-db (2.9.1-1) ...